Class | TkFrame
In: | tk/lib/tk/frame.rb
Parent: | TkWindow

### Methods

bind bind_append bind_remove bindinfo database_class database_classname database_classname new

### Constants

TkCommandNames | = | ['frame'.freeze].freeze
WidgetClassName | = | 'Frame'.freeze

### Public Class methods

bind(*args, &b)

[Source]

    # File tk/lib/tk/frame.rb, line 100
      def self.bind(*args, &b)
        if self == WidgetClassNames[WidgetClassName] || self.name == ''
          super(*args, &b)
        else
          TkDatabaseClass.new(self.name).bind(*args, &b)
        end
      end

bind_append(*args, &b)

[Source]

    # File tk/lib/tk/frame.rb, line 107
      def self.bind_append(*args, &b)
        if self == WidgetClassNames[WidgetClassName] || self.name == ''
          super(*args, &b)
        else
          TkDatabaseClass.new(self.name).bind_append(*args, &b)
        end
      end

bind_remove(*args)

[Source]

    # File tk/lib/tk/frame.rb, line 114
      def self.bind_remove(*args)
        if self == WidgetClassNames[WidgetClassName] || self.name == ''
          super(*args)
        else
          TkDatabaseClass.new(self.name).bind_remove(*args)
        end
      end

bindinfo(*args)

[Source]

    # File tk/lib/tk/frame.rb, line 121
      def self.bindinfo(*args)
        if self == WidgetClassNames[WidgetClassName] || self.name == ''
          super(*args)
        else
          TkDatabaseClass.new(self.name).bindinfo(*args)
        end
      end

database_class()

[Source]

    # File tk/lib/tk/frame.rb, line 89
      def self.database_class
        if self == WidgetClassNames[WidgetClassName] || self.name == ''
          self
        else
          TkDatabaseClass.new(self.name)
        end
      end

database_classname()

[Source]

    # File tk/lib/tk/frame.rb, line 96
      def self.database_classname
        self.database_class.name
      end

new(parent=nil, keys=nil)

[Source]

    # File tk/lib/tk/frame.rb, line 38
      def initialize(parent=nil, keys=nil)
        my_class_name = nil
        if self.class < WidgetClassNames[self.class::WidgetClassName]
          my_class_name = self.class.name
          my_class_name = nil if my_class_name == ''
        end
        if parent.kind_of? Hash
          keys = _symbolkey2str(parent)
        else
          if keys
            keys = _symbolkey2str(keys)
            keys['parent'] = parent
          else
            keys = {'parent'=>parent}
          end
        end
        if keys.key?('classname')
           keys['class'] = keys.delete('classname')
        end
        @classname = keys['class']
        @colormap  = keys['colormap']
        @container = keys['container']
        @visual    = keys['visual']
        if !@classname && my_class_name
          keys['class'] = @classname = my_class_name
        end
        if @classname.kind_of? TkBindTag
          @db_class = @classname
          @classname = @classname.id
        elsif @classname
          @db_class = TkDatabaseClass.new(@classname)
        else
          @db_class = self.class
          @classname = @db_class::WidgetClassName
        end
        super(keys)
      end

### Public Instance methods

database_classname()

def create_self(keys)

      if keys and keys != None
        tk_call_without_enc('frame', @path, *hash_kv(keys))
      else
        tk_call_without_enc( 'frame', @path)
      end

end private :create_self

[Source]

    # File tk/lib/tk/frame.rb, line 85
      def database_classname
        @classname
      end

[Validate]